Bug 12950 - modprinter.pl uses perl in an insecure way
modprinter.pl uses perl in an insecure way
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Other
4.6.6
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-08-08 07:11 UTC by Andreas Schneider
Modified: 2017-08-30 07:12 UTC (History)
3 users (show)

See Also:


Attachments
patch for 4.7 (1.93 KB, patch)
2017-08-24 16:39 UTC, Andreas Schneider
gd: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Andreas Schneider 2017-08-08 07:11:21 UTC
selftest has issues executing modprinter.pl.

Error:
Insecure dependency in open while running setgid at modprinter.pl line 76.


http://perldoc.perl.org/perlsec.html

Patch will follow ...
Comment 1 Andreas Schneider 2017-08-24 16:39:33 UTC
Created attachment 13499 [details]
patch for 4.7
Comment 2 Guenther Deschner 2017-08-25 09:20:49 UTC
Comment on attachment 13499 [details]
patch for 4.7

LGTM
Comment 3 Guenther Deschner 2017-08-25 09:21:12 UTC
Karolin, please add to 4.7.x
Comment 4 Karolin Seeger 2017-08-28 08:23:17 UTC
Pushed to autobuild-v4-7-test.
Comment 5 Karolin Seeger 2017-08-30 07:12:15 UTC
(In reply to Karolin Seeger from comment #4)
Pushed to v4-7-test.
Closing out bug report.

Thanks!